'use strict';

var keysTransform = require('./keys-transform.js');
var scaleCorrection = require('../../projection/styles/scale-correction.js');

function isForcedMotionValue(key, { layout, layoutId }) {
    return (keysTransform.transformProps.has(key) ||
        key.startsWith("origin") ||
        ((layout || layoutId !== undefined) &&
            (!!scaleCorrection.scaleCorrectors[key] || key === "opacity")));
}

exports.scaleCorrectors = scaleCorrection.scaleCorrectors;
exports.isForcedMotionValue = isForcedMotionValue;
